clang 10.0.0git

Macros
LangOptions.cpp File Reference
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/LangOptions.def"`
Include dependency graph for LangOptions.cpp:

Go to the source code of this file.

## Macros
#define | LANGOPT(Name, Bits, Default, Description) Name = Default;
#define | ENUM_LANGOPT(Name, Type, Bits, Default, Description) set##Name(Default);
#define | LANGOPT(Name, Bits, Default, Description)
#define | BENIGN_LANGOPT(Name, Bits, Default, Description) Name = Default;
#define | BENIGN_ENUM_LANGOPT(Name, Type, Bits, Default, Description) Name = Default;

## Macro Definition Documentation

## ◆ BENIGN_ENUM_LANGOPT

#define BENIGN_ENUM_LANGOPT | ( |  | Name,
|  |  | Type,
|  |  | Bits,
|  |  | Default,
|  |  | Description
| ) |  | Name = Default;

## ◆ BENIGN_LANGOPT

#define BENIGN_LANGOPT | ( |  | Name,
|  |  | Bits,
|  |  | Default,
|  |  | Description
| ) |  | Name = Default;

## ◆ ENUM_LANGOPT

#define ENUM_LANGOPT | ( |  | Name,
|  |  | Type,
|  |  | Bits,
|  |  | Default,
|  |  | Description
| ) |  | set##Name(Default);

## ◆ LANGOPT [1/2]

#define LANGOPT | ( |  | Name,
|  |  | Bits,
|  |  | Default,
|  |  | Description
| ) |  | Name = Default;

## ◆ LANGOPT [2/2]

#define LANGOPT | ( |  | Name,
|  |  | Bits,
|  |  | Default,
|  |  | Description
| ) |  |